SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001118SOGoBackend Calendarpublic2011-02-03 09:232012-04-19 09:20
Reporterpocquet 
Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.5 
Target VersionFixed in Version 
Summary0001118: ical vs sogo recurring events
DescriptionThe problem is the same that noted on ID 0000665 :
we can't create a recurrent event from sogo to ical (4.0.4) -OS 10.6.6
In ical you will see only the first date.
works fine from ical to sogo....
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0001203resolvedwsourdeau Order of attributes for RRULE is important in iCal.app 

-  Notes
(0002469)
jenshedrich (reporter)
2011-05-12 08:22

I can confirm this problem and it is annoying
(0002479)
tastenchris (reporter)
2011-05-16 05:24

Seems as if iCals ics parser is a little picky. As far as I tried iCal only accepts an RRULE in exactly the following form (there are many more possibilites of RRULEs, I just tried this one):

RRULE:FREQ=DAILY;INTERVAL=2;COUNT=2

No permutations of FREQ, INTERVAL or COUNT are accepted. I cannot find any sequence restricting rules in RFC2445. So I think this is a bug in iCal.
(0003313)
Emmanuel Temam (reporter)
2012-01-25 13:46
edited on: 2012-01-25 13:46

I confirm this problem with lion (10.7). I think Apple will never correct it. Can you do something?
Sincerly


- Issue History
Date Modified Username Field Change
2011-02-03 09:23 pocquet New Issue
2011-05-12 08:22 jenshedrich Note Added: 0002469
2011-05-16 05:24 tastenchris Note Added: 0002479
2012-01-25 13:46 Emmanuel Temam Note Added: 0003313
2012-01-25 13:46 Emmanuel Temam Note Edited: 0003313
2012-03-28 07:48 Christian Mack Relationship added related to 0001203
2012-04-19 09:20 wsourdeau Status new => resolved
2012-04-19 09:20 wsourdeau Resolution open => fixed
2012-04-19 09:20 wsourdeau Assigned To => wsourdeau


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker